Status: Feedback Start date: 04/25/2025
Priority: Normal Due date:

Assignee: 0o % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
gooo: 20250423164652 gooo: 100%
Description
1.Telnetl0000

Telnetl0000/00000000041000000

000000000000sub00 000DDO00DDRO00DD000DDD

2.0000urLOOO0

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter -m com.ctc.igd1.ObjectManager.AddObject

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter
"{'MAC":<'683E34D9D991'>,'Name":<'qq.com'>,'Enable":<true>,'URL":<'qq.com'>,'Mode":<byte
0x00>,'WeekDays"<'1,3,5,7">,"Time":<'00:00-12:00'>}"

(I0mAclLANDIOPCIMAC)

3.00000000,cO000000www.qq.commap.baidu.com

4.00urLODODO

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter -m com.ctc.igd1.0ObjectManager.GetManagedObjects
5.00urLID00000000DS04

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter
"{'Enable"<false>}"

6.00uRLODO000DDOD0OS04

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter
"{'Enable":<true>,'Mode":< byte 0x01>}"

7.00urLDDOO00DOOO0S04

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter
"{'WeekDays':<'2,4,6'>}"

8.00urLO0000000DO0304

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter
"{'WeekDays"<'1,3,5,7'>,'Time".<'12:00-20:00">}"

9.00urLO0DDO

gdbus call -y -d com.ctc.igd1 -o /com/ctc/igd1/Network/URLFilter/1 -m com.ctc.igd1.Properties.SetMulti com.ctc.igd1.URLFilter
"{'Mode":< byte 0x00>,'URLList":<['qg.com’,'baidu']>, Time".<'00:00-12:00">}"
10.0000000000www.gg.comlmap.baidu.coml0000004
History

#1 - 05/12/2025 11:04 -0 0

- Status changed from New to Feedback

05/30/2025 12




xiling 00

1. gdbus call -y -d com.ctc.igd1 -0 /com/ctc/igd1/Network/URLFilter -m com.ctc.ig
d1.0ObjectManager.GetManagedObjects
({objectpath '/com/ctc/igd1/Network/URLFilter/1': {'com.ctc.igd1.URLFilter': {'Enable": <true>, 'URL": <'gqq.com'>, '"MAC': <'00E070D5BDCF'>,

'Name': <'qq.com'>, 'BlockedTimes': <uint32 50>, 'Mode": <byte 0x00>, 'URLList": <@as []>, 'WeekDays': <'1,3,5,7'>, 'Time': <'00:00-12:00'>}}},)
#
